class Button
{
  PVector pos;
  String label;
  int buttonWidth;
  int buttonHeight;
  boolean active; // only used for radio buttons
  
  Button(PVector pos, String label){
    this.pos = pos;
    this.label = label;
    buttonWidth = 100;
    buttonHeight = 30;
  }
  
  void display(){
    fill(255);
    if(active){
      fill(255, 255, 0);
    }
    rect(pos.x, pos.y, buttonWidth, buttonHeight);

    stroke(0);
    fill(0);
    textSize(12);
    text(label, pos.x + 5, pos.y + buttonHeight - 8);
  }
  
  boolean hit(PVector click){
    return click.x > pos.x && 
           click.x < pos.x + buttonWidth &&
           click.y > pos.y &&
           click.y < pos.y + buttonHeight;
  }
  
}